Index (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class Index

    java.lang.Object
      org.hibernate.mapping.Index

All Implemented Interfaces:
  Serializable, RelationalModel

    public class Index

extends Object
implements RelationalModel, Serializable

A relational table index

See Also:
  Serialized Form

Constructor Summary
`Index()`

Method Summary
`void` | `addColumn(Column column)`
`void` | `addColumns(Iterator extraColumns)`
`static String` | `buildSqlCreateIndexString(Dialect dialect, String name, Table table, Iterator columns, boolean unique, String defaultCatalog, String defaultSchema)`
`static String` | `buildSqlDropIndexString(Dialect dialect, Table table, String name, String defaultCatalog, String defaultSchema)`
`boolean` | `containsColumn(Column column)`
`Iterator` | `getColumnIterator()`
`int` | `getColumnSpan()`
`String` | `getName()`
`Table` | `getTable()`
`void` | `setName(String name)`
`void` | `setTable(Table table)`
`String` | `sqlConstraintString(Dialect dialect)`
`String` | `sqlCreateString(Dialect dialect, Mapping mapping, String defaultCatalog, String defaultSchema)`
`String` | `sqlDropString(Dialect dialect, String defaultCatalog, String defaultSchema)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Index

    public Index()

Method Detail

### sqlCreateString

    public String sqlCreateString(Dialect dialect,
                                  Mapping mapping,
                                  String defaultCatalog,
                                  String defaultSchema)
                           throws HibernateException

  Specified by:
    `sqlCreateString` in interface `RelationalModel`
  Throws:
    `HibernateException`

### buildSqlDropIndexString

    public static String buildSqlDropIndexString(Dialect dialect,
                                                 Table table,
                                                 String name,
                                                 String defaultCatalog,
                                                 String defaultSchema)

### buildSqlCreateIndexString

    public static String buildSqlCreateIndexString(Dialect dialect,
                                                   String name,
                                                   Table table,
                                                   Iterator columns,
                                                   boolean unique,
                                                   String defaultCatalog,
                                                   String defaultSchema)

### sqlConstraintString

    public String sqlConstraintString(Dialect dialect)

### sqlDropString

    public String sqlDropString(Dialect dialect,
                                String defaultCatalog,
                                String defaultSchema)

  Specified by:
    `sqlDropString` in interface `RelationalModel`

### getTable

    public Table getTable()

### setTable

    public void setTable(Table table)

### getColumnSpan

    public int getColumnSpan()

### getColumnIterator

    public Iterator getColumnIterator()

### addColumn

    public void addColumn(Column column)

### addColumns

    public void addColumns(Iterator extraColumns)

### containsColumn

    public boolean containsColumn(Column column)

  Parameters:
    `column` -
  Returns:
    true if this constraint already contains a column with same name.

### getName

    public String getName()

### setName

    public void setName(String name)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.